Subject: bug#41618: 28.0.50; Can't byte-compile an edebugged macro

From: Alan Mackenzie <[email-masked]>
Date: Sun, 31 May 2020 18:04:33 +0000

Hello, Eli.

On Sun, May 31, 2020 at 20:56:30 +0300, Eli Zaretskii wrote:
> > Date: Sun, 31 May 2020 17:41:53 +0000
> > Cc: [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > Thanks, but why to emacs-27?  Is this bug a regression from Emacs 26?

> > It was difficult to decide, but emacs-27 seemed right; the bug was
> > almost certainly a regression from Emacs 26, the erroneous commit having
> > been made on 2019-07-27.

> Which commit was that?  I don't think you mentioned that.

I didn't, sorry.  It was:

commit 1c8405e33e814a372fa349313521b015c3601605
Author: Stefan Monnier <[email-masked]>
Date:   Sat Jul 27 17:28:10 2019 -0400

    * lisp/emacs-lisp/bytecomp.el (byte-compile-out-toplevel): Fix
    * bug#34757

    This fix was provided by Pip Cet <[email-masked]>.  It tightens the
    code that tries to recognize a bytecode sequence as being a simple
    function call (to then decompile it), which occasionally misfired.

    I added some minor changes found while investigating this issue.

    (byte-compile): Handle corner case where byte-compile-top-level returns
    a non-self-evaluating expression.
    (byte-compile-out-toplevel): Remove support for `progn` and `t` values
    of output-type which aren't used anywhere.

-- 
Alan Mackenzie (Nuremberg, Germany).